curl --request DELETE \
--url https://api.fabric.inc/v3/attributes/{attributeId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/attributes/{attributeId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/attributes/{attributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "614b58924e92f6861ac9d43b",
"name": "Spender",
"values": [
"High spender",
"Medium spender",
"Browser"
],
"createdAt": "2019-08-20T14:15:22Z",
"updatedAt": "2019-08-20T14:15:22Z",
"isDeleted": true
}{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "ATTRIBUTE_NOT_FOUND",
"message": "No attribute with this ID is found"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Delete attribute
Using this endpoint, you can delete an attribute by its ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
A unique identifier of the attribute, for external use.
1000002
Response
OK
The attribute details.
A unique identifier of the attribute, for external use.
1000002
The name of the attribute.
"Brand"
The attribute values.
1 - 50 elementsThe options within an attribute type.
["CHS", "SOMA", "WHBM"]
Record's creation time
"2019-08-20T14:15:22.000Z"
Record's last updated time
"2019-08-20T14:15:22.000Z"
true: Record is deleted
false: Record isn't deleted
false
Was this page helpful?
